JOIN(1)

NAZWA
join - łączy wiersze dwóch plików według wspólnych pól

SKŁADNIA
join [OPCJA]... PLIK1 PLIK2

OPIS

Program wypisuje na standardowe wyjście wiersz, dla każdej pary wierszy wejściowych o identycznych polach połączeniowych. Domyślnym polem połączeniowym jest pierwsze, oddzielone odstępem. Gdy jako PLIK1 lub PLIK2 (nie oba) podano -, to odczytywane jest standardowe wejście.

-a NUMER-PLIKU
    wypisuje wiersze bez pary z pliku NUMER-PLIKU, który wynosi 1 lub 2 odpowiednio dla PLIKU1 lub PLIKU2

-e PUSTE
    zamienia brakujące pola wejściowe łańcuchem PUSTE

-i, --ignore-case
    ignoruje różnice między małymi i wielkimi literami podczas porównywania pól

-j POLE
    równoważne -1 POLE -2 POLE

-o FORMAT
    zachowuje FORMAT podczas tworzenia wiersza wyjściowego

-t ZNAK
    używa ZNAKU jako separatora pól wejścia i wyjścia

-v NUMER-PLIKU
    jak -a NUMER-PLIKU, ale bez wypisywania połączonych wierszy wyjściowych

-1 POLE
    łączy pliki na tym POLU pierwszego pliku

-2 POLE
    łączy pliki na tym POLU drugiego pliku

--check-order
    sprawdza, czy wejście jest poprawnie posortowane, nawet jeśli wszystkie wejściowe wiersze mogą być poprawnie porównane

--nocheck-order
    nie sprawdza poprawności posortowania wejścia

--header
    traktuje pierwsze wiersze każdego pliku jako nagłówki pól, wyświetlając je bez próby ich sparowania

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeżeli nie podano opcji -t ZNAK, to spacje na początku wierszy oddzielają pola i są ignorowane, w przeciwnym wypadku pola są oddzielane przez ZNAK. POLE jest numerem pola liczonym od 1. FORMAT jest jedną lub większą liczbą specyfikacji, oddzielonych spacjami lub przecinkami, z których każda ma postać NUMER-PLIKU.POLE LUB 0. Domyślny FORMAT wypisuje pola połączeniowe, pozostałe pola z PLIKU1 oraz pozostałe pola z PLIKU2, wszystkie oddzielone ZNAKIEM. Jeśli FORMAT jest słowem kluczowym auto, to pierwszy wiersz każdego pliku określa liczbę pól wypisywanych w każdym wierszu.

Ważne: PLIK1 i PLIK2 muszą być posortowane w polu połączeniowym. Na przykład, jeżeli join został uruchomiony bez opcji powinno się wykonać przedtem sort -k 1b,1 , a jeśli sort został uruchomiony bez opcji, powinno się użyć join -t " ". Proszę zauważyć, że porównania przestrzegają reguł określonych przez zmienną LC_COLLATE. Jeśli wejście nie jest posortowane i część wierszy nie może zostać połączona, wypisywane jest ostrzeżenie.

AUTOR
Napisane przez Mike'a Haertela.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w join proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu join proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
comm(1), uniq(1)

Pełna dokumentacja join jest dostępna w formacie Texinfo. Jeśli programy info i join są poprawnie zainstalowane, to polecenie

    info coreutils 'join invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.